## kile 2.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.2)

PROJECT( kile )

find_package(KDE4 4.2.0 REQUIRED)
include (KDE4Defaults)

find_package( SharedMimeInfo REQUIRED )


SET( KILE_VERSION CACHE STRING "Kile's version; can be used to install special documentation files in share/doc/kile-$KILE_VERSION/" )

SET( kile_PO_FILE "kile.po" )
SET( kile_DOCBOOK "index.docbook" )

MACRO( KILE_ADD_DOCBOOK_DIRECTORY _sources _relative_dir _docbook _language )
	# only depend on images
	FILE( GLOB_RECURSE _dependencies ${CMAKE_CURRENT_SOURCE_DIR}/${_relative_dir}/*.[pP][nN][gG] )
	FILE( MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${_relative_dir} )

	SET( _source_docbook ${CMAKE_CURRENT_SOURCE_DIR}/${_relative_dir}/${_docbook} )
	SET( _compiled_docbook ${CMAKE_CURRENT_BINARY_DIR}/${_relative_dir}/index.cache.bz2 )

	ADD_CUSTOM_COMMAND(OUTPUT ${_compiled_docbook}
			COMMAND ${KDE4_MEINPROC_EXECUTABLE} --check --cache index.cache.bz2 ${_source_docbook}
			DEPENDS ${_dependencies} ${_source_docbook}
			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${_relative_dir}
			COMMENT "Compiling ${_language} docbook in ${_relative_dir}/${_docbook}" )

	INSTALL( FILES ${_compiled_docbook} ${_source_docbook} ${_dependencies} DESTINATION ${HTML_INSTALL_DIR}/${_language}/kile )
	SET( ${_sources} ${${_sources}} ${_compiled_docbook} )
ENDMACRO( KILE_ADD_DOCBOOK_DIRECTORY _sources _docbook _language )

MACRO( KILE_ADD_TRANSLATION_DIRECTORY _sources _relative_dir _file _language )
	FILE( MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${_relative_dir} )

	GET_FILENAME_COMPONENT(_base_name ${_file} NAME_WE)
	SET( _source_file ${CMAKE_CURRENT_SOURCE_DIR}/${_relative_dir}/${_file} )
	SET( _base_compiled_file ${_base_name}.mo)
	SET( _compiled_file ${CMAKE_CURRENT_BINARY_DIR}/${_relative_dir}/${_base_compiled_file} )

	ADD_CUSTOM_COMMAND(OUTPUT ${_compiled_file}
			COMMAND ${KILE_MSGFMT} -o ${_compiled_file} ${_source_file}
			DEPENDS ${_source_file}
			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${_relative_dir}
			COMMENT "Compiling ${_language} translation file" )

	INSTALL( FILES ${_compiled_file} DESTINATION ${LOCALE_INSTALL_DIR}/${_language}/LC_MESSAGES )
	SET( ${_sources} ${${_sources}} ${_compiled_file} )
ENDMACRO( KILE_ADD_TRANSLATION_DIRECTORY _sources _relative_dir _file _language )

MACRO( KILE_ADD_TRANSLATION_DIRECTORIES _documentation_sources _translation_sources _dir )
	FILE( GLOB _subdirectories ${_dir}/* )

	FOREACH( _entry ${_subdirectories} )
		IF( IS_DIRECTORY ${_entry} )
			GET_FILENAME_COMPONENT( _language ${_entry} NAME )
			IF( KILE_MSGFMT AND EXISTS ${_entry}/messages )
				KILE_ADD_TRANSLATION_DIRECTORY( ${_translation_sources} translations/${_language}/messages ${kile_PO_FILE} ${_language} )
				SET(_translations_built ${_translations_built} ${_language} )
			ENDIF( KILE_MSGFMT AND EXISTS ${_entry}/messages )
			IF( KDE4_MEINPROC_EXECUTABLE AND EXISTS ${_entry}/doc )
				KILE_ADD_DOCBOOK_DIRECTORY( ${_documentation_sources} translations/${_language}/doc ${kile_DOCBOOK} ${_language} )
				SET(_docbooks_built ${_docbooks_built} ${_language} )
			ENDIF( KDE4_MEINPROC_EXECUTABLE AND EXISTS ${_entry}/doc )
		ENDIF( IS_DIRECTORY ${_entry} )
	ENDFOREACH( _entry ${_subdirectories} )

	IF( _translations_built )
		MESSAGE( STATUS "Building translations for ${_translations_built}" )
	ELSE( _translations_built )
		MESSAGE( STATUS "Not building translations" )
	ENDIF( _translations_built )

	IF( _docbooks_built )
		MESSAGE( STATUS "Building documentation for ${_docbooks_built}" )
	ELSE( _docbooks_built )
		MESSAGE( STATUS "Not building additional documentation" )
	ENDIF( _docbooks_built )
ENDMACRO( KILE_ADD_TRANSLATION_DIRECTORIES _documentation_sources _translation_sources _dir )

MACRO( KILE_FIND_DOC_TOOLS )

	IF( KDE4_MEINPROC_EXECUTABLE )
		MESSAGE( STATUS "Found meinproc4: ${KDE4_MEINPROC_EXECUTABLE}" )
	ELSE ( KDE4_MEINPROC_EXECUTABLE)
		MESSAGE( STATUS "Could not find meinproc4")
	ENDIF( KDE4_MEINPROC_EXECUTABLE )

	FIND_PROGRAM( KILE_MSGFMT "msgfmt" DOC "path of the msgfmt executable")
	IF( KILE_MSGFMT )
		MESSAGE( STATUS "Found msgfmt: ${KILE_MSGFMT}" )
	ELSE( KILE_MSGFMT )
		 MESSAGE( STATUS "Could not find msgfmt" )
	ENDIF( KILE_MSGFMT )

	IF( KDE4_MEINPROC_EXECUTABLE AND KILE_MSGFMT )
		SET( KILE_DOC_TOOLS_FOUND true )
	ENDIF ( KDE4_MEINPROC_EXECUTABLE AND KILE_MSGFMT )
ENDMACRO( KILE_FIND_DOC_TOOLS )

IF( EXISTS ${kile_SOURCE_DIR}/doc OR EXISTS ${kile_SOURCE_DIR}/translations )
	KILE_FIND_DOC_TOOLS( )
ENDIF(  EXISTS ${kile_SOURCE_DIR}/doc OR EXISTS ${kile_SOURCE_DIR}/translations )

IF( EXISTS ${kile_SOURCE_DIR}/doc )
	IF( KDE4_MEINPROC_EXECUTABLE )
		MESSAGE( STATUS "Building standard documentation")
		KILE_ADD_DOCBOOK_DIRECTORY( kile_DOCUMENTATION_SOURCES doc index.docbook en )
	ENDIF( KDE4_MEINPROC_EXECUTABLE )
ELSE( EXISTS ${kile_SOURCE_DIR}/doc )
	MESSAGE( STATUS "Not building standard documentation")
ENDIF( EXISTS ${kile_SOURCE_DIR}/doc )

IF( EXISTS ${kile_SOURCE_DIR}/translations )
	IF( KDE4_MEINPROC_EXECUTABLE OR KILE_MSGFMT )
		KILE_ADD_TRANSLATION_DIRECTORIES( kile_DOCUMENTATION_SOURCES kile_TRANSLATION_SOURCES ${kile_SOURCE_DIR}/translations )
	ENDIF( KDE4_MEINPROC_EXECUTABLE OR KILE_MSGFMT )
ELSE( EXISTS ${kile_SOURCE_DIR}/translations )
	MESSAGE( STATUS "Not building translations")
ENDIF( EXISTS ${kile_SOURCE_DIR}/translations )

IF( kile_DOCUMENTATION_SOURCES )
	ADD_CUSTOM_TARGET(docbooks ALL DEPENDS ${kile_DOCUMENTATION_SOURCES})
ENDIF( kile_DOCUMENTATION_SOURCES )

IF( kile_TRANSLATION_SOURCES )
	ADD_CUSTOM_TARGET(translations ALL DEPENDS ${kile_TRANSLATION_SOURCES})
ENDIF( kile_TRANSLATION_SOURCES)

ADD_SUBDIRECTORY( doc )
ADD_SUBDIRECTORY( src )

########### install files ###############

install( FILES kile.xml DESTINATION ${XDG_MIME_INSTALL_DIR} )
update_xdg_mimetypes( ${XDG_MIME_INSTALL_DIR} )

INSTALL( FILES kile.upd kile1.6_upd.pl kile1.7_upd.pl kile1.9_upd.pl
kile1.9-1_upd.pl kile2.0-1_upd.pl kile2.0-2_upd.pl kile2.0-3_upd.pl
kile2.0-4_upd.pl kile2.0-5_upd.pl DESTINATION ${DATA_INSTALL_DIR}/kconf_update )

IF( KILE_VERSION )
	SET(_KILE_SPECIAL_DOC_DIR "share/doc/kile-${KILE_VERSION}")
ELSE( KILE_VERSION )
	SET(_KILE_SPECIAL_DOC_DIR "share/doc/kile")
ENDIF( KILE_VERSION )

INSTALL( FILES AUTHORS ChangeLog README README.cwl kile-remote-control.txt README.MacOSX DESTINATION ${_KILE_SPECIAL_DOC_DIR})

=== doc/CMakeLists.txt ===
########### install files ###############
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kile)

=== src/CMakeLists.txt ===
ADD_SUBDIRECTORY( data )
ADD_SUBDIRECTORY( test )

INCLUDE( FindPerl )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

########### next target ###############

SET(kile_SRCS
	latexcmd.cpp
	dialogs/latexcommanddialog.cpp
	dialogs/texdocumentationdialog.cpp
	userhelp.cpp
	dialogs/userhelpdialog.cpp
	dialogs/floatdialog.cpp
	dialogs/mathenvironmentdialog.cpp
	dialogs/postscriptdialog.cpp
	widgets/previewconfigwidget.cpp
	quickpreview.cpp
	dialogs/includegraphicsdialog.cpp
	dialogs/newfilewizard.cpp
	dialogs/managetemplatesdialog.cpp
	templates.cpp
	dialogs/usertagsdialog.cpp
	dialogs/configurationdialog.cpp
	dialogs/tabbingdialog.cpp
	widgets/symbolview.cpp
	widgets/commandview.cpp
	dialogs/quickdocumentdialog.cpp
	widgets/filebrowserwidget.cpp
	docpart.cpp
	symbolviewclasses.h
	kile.cpp
	main.cpp
	kileactions.cpp
	kilestdactions.cpp
	kileinfo.cpp
	documentinfo.cpp
	kileproject.cpp
	dialogs/projectdialogs.cpp
	widgets/projectview.cpp
	kilelistselector.cpp
	kilelyxserver.cpp
	latexoutputfilter.cpp
	outputinfo.cpp
	outputfilter.cpp
	dialogs/findfilesdialog.cpp
	kiletool.cpp
	kilelauncher.cpp
	kiletoolmanager.cpp
	kilestdtools.cpp
	widgets/logwidget.cpp
	widgets/outputview.cpp
	widgets/konsolewidget.cpp
	kilewizard.cpp
	widgets/structurewidget.cpp
	widgets/codecompletionconfigwidget.cpp
	widgets/toolconfigwidget.cpp
	editorextension.cpp
	dialogs/cleandialog.cpp
	kilehelp.cpp
	convert.cpp
	kiledocmanager.cpp
	kileviewmanager.cpp
	eventfilter.cpp
	kileerrorhandler.cpp
	dialogs/configcheckerdialog.cpp
	configtester.cpp
	widgets/sidebar.cpp
	plaintolatexconverter.cpp
	dialogs/statisticsdialog.cpp
	widgets/statisticswidget.cpp
	widgets/previewwidget.cpp
	widgets/scriptsmanagementwidget.h
	widgets/scriptsmanagementwidget.cpp
	editorkeysequencemanager.h
	editorkeysequencemanager.cpp
	kileversion.cpp
	widgets/abbreviationview.cpp
	dialogs/abbreviationinputdialog.cpp
	kileextensions.cpp
	widgets/categorycombobox.cpp
	widgets/progressdialog.h
	widgets/progressdialog.cpp
	scripting/bindings.cpp
	scriptmanager.cpp
	dialogs/tabular/multicolumnborderhelper.cpp
	dialogs/tabular/newtabulardialog.cpp
	dialogs/tabular/selectcoloraction.cpp
	dialogs/tabular/selectframeaction.cpp
	dialogs/tabular/tabularcell.cpp
	dialogs/tabular/tabularcelldelegate.cpp
	dialogs/tabular/tabularheaderitem.cpp
	dialogs/tabular/tabularproperties.cpp
	dialogs/tabular/tabulartable.cpp
	configurationmanager.cpp
	utilities.cpp
	abbreviationmanager.cpp
	editorcommands.cpp
)

SET( kile_UI
	widgets/codecompletionconfigwidget.ui
	widgets/helpconfigwidget.ui
	widgets/latexconfigwidget.ui
	widgets/generalconfigwidget.ui
	widgets/configcheckerwidget.ui
	widgets/maintoolconfigwidget.ui
	widgets/librarytoolconfigwidget.ui
	widgets/processtoolconfigwidget.ui
	widgets/quicktoolconfigwidget.ui
	widgets/latextoolconfigwidget.ui
	dialogs/newtoolwizard_class_page.ui
	dialogs/newtoolwizard_toolname_page.ui
	widgets/environmentconfigwidget.ui
	widgets/structureviewconfigwidget.ui
	widgets/symbolviewconfigwidget.ui
	widgets/scriptingconfigwidget.ui
	widgets/graphicsconfigwidget.ui
	widgets/newdocumentwidget.ui
	dialogs/tabbingdialog_base.ui
	dialogs/floatdialog_base.ui
	dialogs/postscriptdialog_base.ui
	dialogs/includegraphicsdialog_base.ui
	dialogs/latexcommanddialog_base.ui
)

SET( kile_UI_SRCS
	widgets/configcheckerwidget.cpp
	widgets/environmentconfigwidget.cpp
	widgets/graphicsconfigwidget.cpp
	widgets/generalconfigwidget.cpp
	widgets/helpconfigwidget.cpp
	widgets/latexconfigwidget.cpp
	widgets/latextoolconfigwidget.cpp
	widgets/librarytoolconfigwidget.cpp
	widgets/newdocumentwidget.cpp
	dialogs/newtoolwizard.cpp
	widgets/processtoolconfigwidget.cpp
	widgets/quicktoolconfigwidget.cpp
	widgets/scriptingconfigwidget.cpp
	widgets/structureviewconfigwidget.cpp
	widgets/symbolviewconfigwidget.cpp
	widgets/maintoolconfigwidget.cpp
)

# Special handling of code completion due to the removal of 'KTextEditor::SmartRange' from
# KDE SC 4.5 onwards

# SET(kile_SRCS ${kile_SRCS} ${CMAKE_CURRENT_SOURCE_DIR}/_codecompletion.h
#                            ${CMAKE_CURRENT_SOURCE_DIR}/_codecompletion.cpp)

if( ${KDE_VERSION} VERSION_EQUAL "4.5" OR  ${KDE_VERSION} VERSION_GREATER "4.5" )
  MESSAGE( STATUS "Configuring code completion for KDE SC >= 4.5" )

  SET(CODECOMPLETION_MODELCONTROLLERINTERFACE_CLASSNAME CodeCompletionModelControllerInterface3)
  SET(CODECOMPLETION_RANGE_CLASSNAME "Range")
  SET(CODECOMPLETION_RANGE_EXTRA "const")
  SET(CODECOMPLETION_RANGE_RETURN "KTextEditor::Range")
else( ${KDE_VERSION} VERSION_EQUAL "4.5" OR  ${KDE_VERSION} VERSION_GREATER "4.5" )
  MESSAGE( STATUS "Configuring code completion for KDE SC < 4.5")

  SET(CODECOMPLETION_MODELCONTROLLERINTERFACE_CLASSNAME CodeCompletionModelControllerInterface)
  SET(CODECOMPLETION_RANGE_CLASSNAME "SmartRange")
  SET(CODECOMPLETION_RANGE_EXTRA "")
  SET(CODECOMPLETION_RANGE_RETURN "void")
ENDIF( ${KDE_VERSION} VERSION_EQUAL "4.5" OR  ${KDE_VERSION} VERSION_GREATER "4.5" )

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/_codecompletion.h
               ${CMAKE_CURRENT_BINARY_DIR}/codecompletion.h)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/_codecompletion.cpp
               ${CMAKE_CURRENT_BINARY_DIR}/codecompletion.cpp)

SET(kile_SRCS
    ${kile_SRCS}
    ${CMAKE_CURRENT_BINARY_DIR}/codecompletion.h
    ${CMAKE_CURRENT_BINARY_DIR}/codecompletion.cpp)




SET(kile_SRCS ${kile_SRCS} ${kile_UI_SRCS})

KDE4_ADD_UI_FILES(kile_SRCS ${kile_UI})

SET(kile_SRCS ${kile_SRCS} net.sourceforge.kile.main.xml)
QT4_ADD_DBUS_ADAPTOR(kile_SRCS net.sourceforge.kile.main.xml kile.h Kile)

SET( kile_KCFG_SRCS kileconfig.kcfgc)

KDE4_ADD_KCFG_FILES(kile_SRCS ${kile_KCFG_SRCS})

KDE4_ADD_APP_ICON(kile_SRCS "data/icons/hi*-app-kile.png")

IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin") # for Mac OS X
  SET(PROGNAME Kile)
ELSE(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  SET(PROGNAME kile)
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")

KDE4_ADD_EXECUTABLE(${PROGNAME} ${kile_SRCS})

TARGET_LINK_LIBRARIES(${PROGNAME} ${KDE4_KHTML_LIBS} ${KDE4_KROSSCORE_LIBS}
                                  ${KDE4_KFILE_LIBS} ${KDE4_KTEXTEDITOR_LIBS})

IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin") # for Mac OS X
  SET_TARGET_PROPERTIES(${PROGNAME} PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Kile")
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")

TARGET_LINK_LIBRARIES(${PROGNAME} ${KDE4_KHTML_LIBS} ${KDE4_KROSSCORE_LIBS}
                      ${KDE4_KFILE_LIBS} ${KDE4_KTEXTEDITOR_LIBS})

INSTALL( TARGETS ${PROGNAME} ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

INSTALL( FILES net.sourceforge.kile.main.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )
INSTALL( PROGRAMS kile.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
INSTALL( FILES kile.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
INSTALL( FILES data/bibtexentries.rc data/biblatexentries.rc
kileui.rc docpartui.rc tips DESTINATION ${DATA_INSTALL_DIR}/kile )

IF(CMAKE_SYSTEM_NAME MATCHES "Windows")
  INSTALL (FILES data/kilestdtools-win.rc
           DESTINATION ${DATA_INSTALL_DIR}/kile
           RENAME kilestdtools.rc)

ELSE(CMAKE_SYSTEM_NAME MATCHES "Windows")
  INSTALL (FILES data/kilestdtools.rc
           DESTINATION ${DATA_INSTALL_DIR}/kile)

ENDIF(CMAKE_SYSTEM_NAME MATCHES "Windows")

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )

=== src/data/complete/CMakeLists.txt ===
ADD_SUBDIRECTORY( abbreviation )
ADD_SUBDIRECTORY( tex )
ADD_SUBDIRECTORY( dictionary )

=== src/data/encodings/CMakeLists.txt ===

########### install files ###############
FILE(GLOB kile_enc *.enc)
INSTALL( FILES ${kile_enc} DESTINATION ${DATA_INSTALL_DIR}/kile/encodings )

=== src/data/help/CMakeLists.txt ===

########### install files ###############
FILE(GLOB kile_lst *.lst)
INSTALL( FILES ${kile_lst} latexhelp.html DESTINATION ${DATA_INSTALL_DIR}/kile/help )

=== src/data/icons/CMakeLists.txt ===
ADD_SUBDIRECTORY( actions )

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )

=== src/data/symbols-ng/CMakeLists.txt ===

ADD_SUBDIRECTORY(relation)
ADD_SUBDIRECTORY(arrows)
ADD_SUBDIRECTORY(delimiters)
ADD_SUBDIRECTORY(greek)
ADD_SUBDIRECTORY(misc-math)
ADD_SUBDIRECTORY(misc-text)
ADD_SUBDIRECTORY(operators)
ADD_SUBDIRECTORY(special)
ADD_SUBDIRECTORY(cyrillic)

find_package(Qt4 REQUIRED)

include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})

set(gesymb-ng_SRCS gesymb-ng.cpp)
qt4_automoc(${gesymb-ng_SRCS})
add_executable(gesymb-ng EXCLUDE_FROM_ALL ${gesymb-ng_SRCS})
target_link_libraries(gesymb-ng ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTGUI_LIBRARY})

set(convertOldSymbolFormat_SRCS convertOldSymbolFormat.cpp convertOldSymbolFormat.h)
qt4_automoc(${convertOldSymbolFormat_SRCS})
add_executable(convertOldSymbolFormat EXCLUDE_FROM_ALL ${convertOldSymbolFormat_SRCS})
target_link_libraries(convertOldSymbolFormat ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTGUI_LIBRARY})

=== src/data/templates/CMakeLists.txt ===

########### install files ###############
FILE(GLOB kile_template *.tex) 
INSTALL( FILES ${kile_template} DESTINATION ${DATA_INSTALL_DIR}/kile/templates )

=== src/data/complete/dictionary/CMakeLists.txt ===
FILE(GLOB kile_dictFiles *.cwl)
INSTALL( FILES ${kile_dictFiles} DESTINATION ${DATA_INSTALL_DIR}/kile/complete/dictionary )

=== src/data/complete/tex/CMakeLists.txt ===

FILE(GLOB kile_texCompleteFiles *.cwl)
INSTALL( FILES ${kile_texCompleteFiles} DESTINATION ${DATA_INSTALL_DIR}/kile/complete/tex )

=== src/data/icons/actions/CMakeLists.txt ===
KDE4_INSTALL_ICONS( ${DATA_INSTALL_DIR}/kile/icons  )

=== debian/changelog ===
kile (4:2.1.3-4) unstable; urgency=medium

  * Team upload.
  * Drop menu file and its pixmap, since kile already provides a .desktop file.
  * Stop installing CODE-FORMATTING-STYLE.txt as documentation, as it is
    development-related (and thus not interesting for users).
  * Remove obsolete texlive-doc-base suggest: its previous content is in
    texlive-base, dependency of texlive-latex-base.
  * Update Vcs-* fields.
  * Remove ktexmaker2 breaks/replaces, as ktexmaker2 is dead for more than a
    decade.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Remove unused ${shlibs:Depends} from kile-doc.
  * Use ${perl:Depends} in kile.
  * Link in as-needed mode.

 -- Pino Toscano <pino@debian.org>  Sun, 15 May 2016 14:47:54 +0200

kile (4:2.1.3-3) unstable; urgency=low

  [ Mark Purcell ]
  * do NOT run optipng on the icons - patch from Philip Muskovac

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add myself to Uploaders with Mark's approval.
  * Moved the repo to git, update Vcs-[Browser Git].
  * Depend upon konsole4-kpart instead of konsole (Closes: #793747).
  * Add fix_doc_target.patch in order to avoid a FTBFS due to a CMake
    policy (Closes: #802403).
  * Update Standards-Version to 3.9.6, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 23 Oct 2015 16:08:24 -0300

kile (4:2.1.3-2) unstable; urgency=low

  * Upload to unstable
  * Update debian/control - vcs-field-not-canonical & Standards-Version
  * Update debian/copyright GFDL-1.2 - fix copyright-refers-to-symlink-
    license
  * Update Description: fix extended-description-is-probably-too-short

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 16:49:50 +1000

kile (4:2.1.3-1) experimental; urgency=low

  * New upstream release
    - Fixes "Please package and upload new upstream" (Closes: #661686)
  * Fix "debian/watch 3-digit version numbers" (Closes: #699610)
  * debian/compat -> 9
  * kbibtex suitable for KDE4 use - Add to Suggests
    - Drop kubuntu_02_disable_embedded_kbibtex.diff

 -- Mark Purcell <msp@debian.org>  Sun, 14 Apr 2013 12:39:46 +1000

=== debian/control ===
Source: kile
Section: tex
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Mark Purcell <msp@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.4.4),
               pkg-kde-tools (>= 0.9.0),
               shared-mime-info
Standards-Version: 3.9.8
Homepage: http://kile.sourceforge.net
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/kile.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kile.git

Package: kile
Architecture: any
Depends: konsole4-kpart, texlive-latex-base, ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
Recommends: dvipng, ghostscript, imagemagick, psutils, texlive
Suggests: aspell | ispell | hspell,
          asymptote,
          context,
          dblatex,
          kbibtex,
          kile-doc,
          kile-l10n,
          latex2html,
          lilypond,
          tex4ht,
          texlive-xetex,
          zip
Description: KDE Integrated LaTeX Environment
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 The TeX shell integrates the various tools required for TeX processing.
 It assists with LaTeX compilation, DVI and postscript document viewing,
 generation of bibliographies and indices and other common tasks.
 .
 Kile can support large projects consisting of several smaller files.

Package: kile-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: KDE Integrated LaTeX Environment (documentation)
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 This package contains the documentation for Kile.

Package: kile-l10n
Architecture: all
Section: localization
Depends: kile (>= ${source:Version}), ${misc:Depends}
Breaks: kile-i18n (<< 2.1.0-1)
Replaces: kile-i18n (<< 2.1.0-1)
Description: KDE Integrated LaTeX Environment (localization)
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 This package contains the translations for Kile.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# do NOT run optipng on the icons, this removes the metadata in the latex
# symbol icons which kile depends on for the symbol table. LP: #772631
export NO_PNG_PKG_MANGLE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

override_dh_auto_install:
	dh_auto_install

	# Fix lintian warning: package-contains-readme-for-other-platform-or-distro
	rm -f debian/tmp/usr/share/doc/kile/README.MacOSX

	# Fix lintian warning: unknown-locale-code
	rm -rf debian/tmp/usr/share/locale/x-test

	# Fix lintian warning: script-not-executable
	find debian/tmp -type f -name '*.sh' -or -name '*.pl' | xargs chmod +x

override_dh_auto_test:

## kile 2.9.91

=== CMakeLists.txt ===
project(kile)

cmake_minimum_required(VERSION 3.0.0)

set(KILE_VERSION CACHE STRING "Kile's version; can be used to set the internal version of Kile on MacOSX")

find_package(ECM 5.19.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)

include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)

kde_enable_exceptions()
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)

find_package(Qt5 5.3 CONFIG REQUIRED
	Core
	DBus
	Widgets
	Script
	Test
)

find_package(KF5 5.31 REQUIRED COMPONENTS
	Config
	CoreAddons
	Crash
	DBusAddons
	DocTools
	GuiAddons
	I18n
	IconThemes
	Init
	KHtml
	KIO
	Parts
	TextEditor
	WindowSystem
	XmlGui
)

find_package(Okular5 REQUIRED)
set_package_properties(Okular5 PROPERTIES
	DESCRIPTION "Okular core library"
	URL "http://okular.kde.org")

find_package(Poppler COMPONENTS Qt5)
set_package_properties("Poppler" PROPERTIES
	TYPE RECOMMENDED
	PURPOSE "Support for PDF file operations.")

if(Poppler_Qt5_FOUND)
	set(HAVE_POPPLER TRUE)
	include_directories(${Poppler_INCLUDE_DIRS})
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)

# find_package(SharedMimeInfo REQUIRED)

add_definitions(
#   -DQT_USE_QSTRINGBUILDER
#   -DQT_NO_CAST_FROM_ASCII
#   -DQT_NO_CAST_FROM_BYTEARRAY
#   -DQT_USE_FAST_OPERATOR_PLUS
  -DQT_NO_CAST_TO_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
)

add_subdirectory(doc)
add_subdirectory(src)

########### install files ###############

install(
	FILES kile.xml
	DESTINATION ${XDG_MIME_INSTALL_DIR})
# update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

install(
	FILES
		kile.upd
		kile1.6_upd.pl
		kile1.7_upd.pl
		kile1.9_upd.pl
		kile1.9-1_upd.pl
		kile2.0-1_upd.pl
		kile2.0-2_upd.pl
		kile2.0-3_upd.pl
		kile2.0-4_upd.pl
		kile2.0-5_upd.pl
	DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kconf_update)

install(FILES
		AUTHORS
		ChangeLog
		README
		README.cwl
		kile-remote-control.txt
		README.MacOSX
	DESTINATION ${KDE_INSTALL_DATAROOTDIR}/doc/kile)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== doc/CMakeLists.txt ===
########### install files ###############
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kile)

=== src/CMakeLists.txt ===
add_subdirectory(data)
add_subdirectory(test)

include(FindPerl)

include_directories(
	${CMAKE_INCLUDE_PATH}
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
)

get_directory_property(CMAKE_REQUIRED_INCLUDES INCLUDE_DIRECTORIES)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

########### next target ###############

set(kile_SRCS
	abbreviationmanager.cpp
	codecompletion.cpp
	configtester.cpp
	configurationmanager.cpp
	convert.cpp
	dialogs/abbreviationinputdialog.cpp
	dialogs/cleandialog.cpp
	dialogs/configcheckerdialog.cpp
	dialogs/configurationdialog.cpp
	dialogs/findfilesdialog.cpp
	dialogs/floatdialog.cpp
	dialogs/includegraphicsdialog.cpp
	dialogs/latexcommanddialog.cpp
	dialogs/listselector.cpp
	dialogs/managetemplatesdialog.cpp
	dialogs/mathenvironmentdialog.cpp
	dialogs/newfilewizard.cpp
	dialogs/pdf-wizard/pdfdialog.cpp
	dialogs/postscriptdialog.cpp
	dialogs/projectdialogs.cpp
	dialogs/quickdocumentdialog.cpp
	dialogs/scriptshortcutdialog.cpp
	dialogs/statisticsdialog.cpp
	dialogs/tabbingdialog.cpp
	dialogs/tabular/multicolumnborderhelper.cpp
	dialogs/tabular/newtabulardialog.cpp
	dialogs/tabular/selectcoloraction.cpp
	dialogs/tabular/selectframeaction.cpp
	dialogs/tabular/tabularcell.cpp
	dialogs/tabular/tabularcelldelegate.cpp
	dialogs/tabular/tabularheaderitem.cpp
	dialogs/tabular/tabularproperties.cpp
	dialogs/tabular/tabulartable.cpp
	dialogs/texdocumentationdialog.cpp
	dialogs/userhelpdialog.cpp
	dialogs/usermenu/usermenudialog.cpp
	dialogs/usermenu/usermenuitem.cpp
	dialogs/usermenu/usermenutree.cpp
	dialogs/validatorinputdialog.cpp
	docpart.cpp
	documentinfo.cpp
	editorcommands.cpp
	editorextension.cpp
	editorkeysequencemanager.cpp
	errorhandler.cpp
	eventfilter.cpp
	kileactions.cpp
	kile.cpp
	kiledocmanager.cpp
	kileextensions.cpp
	kilehelp.cpp
	kileinfo.cpp
	kilelauncher.cpp
	kilelyxserver.cpp
	kileproject.cpp
	kilestdactions.cpp
	kilestdtools.cpp
	kiletool.cpp
	kiletoolmanager.cpp
	kileversion.cpp
	kileviewmanager.cpp
	kilewizard.cpp
	latexcmd.cpp
	livepreview.cpp
	livepreview_utils.cpp
	main.cpp
	outputinfo.cpp
	parser/bibtexparser.cpp
	parser/latexoutputparser.cpp
	parser/latexparser.cpp
	parser/parser.cpp
	parser/parsermanager.cpp
	parser/parserthread.cpp
	plaintolatexconverter.cpp
	quickpreview.cpp
	scripting/kilescriptdocument.cpp
	scripting/kilescriptobject.cpp
	scripting/kilescriptview.cpp
	scripting/script.cpp
	scriptmanager.cpp
	symbolviewclasses.h
	templates.cpp
	tool_utils.cpp
	userhelp.cpp
	usermenu/usermenu.cpp
	usermenu/usermenudata.cpp
	utilities.cpp
	widgets/abbreviationview.cpp
	widgets/categorycombobox.cpp
	widgets/codecompletionconfigwidget.cpp
	widgets/commandview.cpp
	widgets/filebrowserwidget.cpp
	widgets/konsolewidget.cpp
	widgets/logwidget.cpp
	widgets/outputview.cpp
	widgets/previewconfigwidget.cpp
	widgets/previewwidget.cpp
	widgets/progressdialog.cpp
	widgets/projectview.cpp
	widgets/scriptsmanagementwidget.cpp
	widgets/sidebar.cpp
	widgets/statisticswidget.cpp
	widgets/statusbar.cpp
	widgets/structurewidget.cpp
	widgets/symbolview.cpp
	widgets/toolconfigwidget.cpp
	widgets/scrollwidget.cpp
)

set(kile_UI
	dialogs/floatdialog_base.ui
	dialogs/includegraphicsdialog_base.ui
	dialogs/latexcommanddialog_base.ui
	dialogs/newtoolwizard_class_page.ui
	dialogs/newtoolwizard_toolname_page.ui
	dialogs/pdf-wizard/pdfdialog_base.ui
	dialogs/postscriptdialog_base.ui
	dialogs/scriptshortcutdialog_base.ui
	dialogs/tabbingdialog_base.ui
	dialogs/usermenu/usermenudialog_base.ui
	widgets/appearanceconfigwidget.ui
	widgets/codecompletionconfigwidget.ui
	widgets/configcheckerwidget.ui
	widgets/environmentconfigwidget.ui
	widgets/generalconfigwidget.ui
	widgets/graphicsconfigwidget.ui
	widgets/helpconfigwidget.ui
	widgets/latexconfigwidget.ui
	widgets/latextoolconfigwidget.ui
	widgets/livepreviewconfigwidget.ui
	widgets/maintoolconfigwidget.ui
	widgets/newdocumentwidget.ui
	widgets/processtoolconfigwidget.ui
	widgets/quicktoolconfigwidget.ui
	widgets/scriptingconfigwidget.ui
	widgets/structureviewconfigwidget.ui
	widgets/symbolviewconfigwidget.ui
	widgets/usermenuconfigwidget.ui
)

set(kile_UI_SRCS
	dialogs/newtoolwizard.cpp
	widgets/appearanceconfigwidget.cpp
	widgets/configcheckerwidget.cpp
	widgets/environmentconfigwidget.cpp
	widgets/generalconfigwidget.cpp
	widgets/graphicsconfigwidget.cpp
	widgets/helpconfigwidget.cpp
	widgets/latexconfigwidget.cpp
	widgets/latextoolconfigwidget.cpp
	widgets/livepreviewconfigwidget.cpp
	widgets/maintoolconfigwidget.cpp
	widgets/newdocumentwidget.cpp
	widgets/processtoolconfigwidget.cpp
	widgets/quicktoolconfigwidget.cpp
	widgets/scriptingconfigwidget.cpp
	widgets/structureviewconfigwidget.cpp
	widgets/symbolviewconfigwidget.cpp
	widgets/usermenuconfigwidget.cpp
)

set(kile_SRCS ${kile_SRCS} ${kile_UI_SRCS})

ki18n_wrap_ui(kile_SRCS ${kile_UI})

set(kile_SRCS ${kile_SRCS} net.sourceforge.kile.main.xml)
QT5_ADD_DBUS_ADAPTOR(kile_SRCS net.sourceforge.kile.main.xml kile.h Kile)

set(kile_KCFG_SRCS kileconfig.kcfgc)

kconfig_add_kcfg_files(kile_SRCS ${kile_KCFG_SRCS})

# add icon to executable on windows and mac
ecm_add_app_icon(kile_SRCS
	ICONS
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16-apps-kile.png
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/22-apps-kile.png
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/32-apps-kile.png
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/48-apps-kile.png
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/64-apps-kile.png
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/128-apps-kile.png
)

# add the resource file containing the ui files
qt5_add_resources(kile_SRCS kile.qrc)

kf5_add_kdeinit_executable(kile ${kile_SRCS})

if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin") # for Mac OS X
    # extract the last copyright year from "kileversion.h"
    file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/kileversion.h" LAST_COPYRIGHT_YEAR_LINE REGEX "KILE_LAST_COPYRIGHT_YEAR (.*)")
    string(REGEX MATCH "KILE_LAST_COPYRIGHT_YEAR[^0-9]+([0-9]+)" TMP_MATCH ${LAST_COPYRIGHT_YEAR_LINE})
    set(LAST_COPYRIGHT_YEAR ${CMAKE_MATCH_1})

    set_target_properties(kile PROPERTIES
        OUTPUT_NAME                     "Kile"
        MACOSX_BUNDLE_BUNDLE_NAME       "Kile"
        MACOSX_BUNDLE_GUI_IDENTIFIER    "org.kde.kile"
        MACOSX_BUNDLE_DISPLAY_NAME      "Kile"
        MACOSX_BUNDLE_INFO_STRING       "Kile, an KDE Integrated LaTeX Environment"
        MACOSX_BUNDLE_COPYRIGHT         "the Kile Team (2003 - ${LAST_COPYRIGHT_YEAR})")
    if(KILE_VERSION)
        set_target_properties(kile PROPERTIES
            MACOSX_BUNDLE_LONG_VERSION_STRING "Kile ${KILE_VERSION}"
            MACOSX_BUNDLE_SHORT_VERSION_STRING "${KILE_VERSION}"
            MACOSX_BUNDLE_BUNDLE_VERSION "${KILE_VERSION}")
    endif()
endif(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")

target_link_libraries(kdeinit_kile
PUBLIC
    Qt5::Script
    KF5::CoreAddons
    KF5::Crash
    KF5::DBusAddons
    KF5::GuiAddons
    KF5::KHtml
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::TextEditor
    KF5::WindowSystem
)
# optional dependencies
if(Poppler_Qt5_FOUND)
	target_link_libraries(kdeinit_kile PUBLIC Poppler::Qt5)
endif()

if(Okular5_FOUND)
  # We don't need to link to okular since it gets loaded dynamically at runtime.
  # All we need are the include directories which we can get with this generator expression:
  target_include_directories(kdeinit_kile PRIVATE $<TARGET_PROPERTY:Okular::Core,INTERFACE_INCLUDE_DIRECTORIES>)
endif()

install(TARGETS kile ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS kdeinit_kile ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES net.sourceforge.kile.main.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})
install(PROGRAMS org.kde.kile.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES kile.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES data/bibtexentries.rc data/biblatexentries.rc DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile)
install(FILES data/kile.categories DESTINATION ${KDE_INSTALL_CONFDIR})
install(FILES data/org.kde.kile.appdata.xml DESTINATION ${CMAKE_INSTALL_METAINFODIR})

if(CMAKE_SYSTEM_NAME MATCHES "Windows")
	install(FILES data/kilestdtools-win.rc
           DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile
           RENAME kilestdtools.rc)
else(CMAKE_SYSTEM_NAME MATCHES "Windows")
	install (FILES data/kilestdtools.rc
           DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile)
endif(CMAKE_SYSTEM_NAME MATCHES "Windows")

=== src/data/pics/CMakeLists.txt ===

########### install files ###############
file(GLOB kileicons *.kileicon)

install(FILES kile_splash.png DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/pics RENAME kile_splash.png)
install(FILES type_Default.png type_Empty.png type_Project.png DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/pics)
install(FILES ${kileicons} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/pics)

=== src/data/scripts/CMakeLists.txt ===

########### install files ###############
file(GLOB kile_jsplug *.js)
install(FILES ${kile_jsplug} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/scripts)

=== src/data/complete/tex/CMakeLists.txt ===
file(GLOB kile_texCompleteFiles *.cwl)
install(FILES ${kile_texCompleteFiles} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/complete/tex)

=== src/data/icons/actions/CMakeLists.txt ===
set(kile_action_ICONS
	128-actions-nroot.png
	128-actions-sqrt.png
	16-actions-acute.png
	16-actions-align.png
	16-actions-bar.png
	16-actions-BBmatrix.png
	16-actions-beamerblock.png
	16-actions-beamerframe.png
	16-actions-bigskip.png
	16-actions-bigspace.png
	16-actions-binom.png
	16-actions-bmatrix.png
	16-actions-breve.png
	16-actions-cases.png
	16-actions-chapter.png
	16-actions-check.png
	16-actions-closeallenv.png
	16-actions-closeenv.png
	16-actions-closegroup.png
	16-actions-complete1.png
	16-actions-complete2.png
	16-actions-complete3.png
	16-actions-configure_kile.png
	16-actions-configure_project.png
	16-actions-contents.png
	16-actions-ddot.png
	16-actions-delenv_i.png
	16-actions-delenv_o.png
	16-actions-deleol.png
	16-actions-delete.png
	16-actions-delgroup_i.png
	16-actions-delgroup_o.png
	16-actions-delline.png
	16-actions-delmath.png
	16-actions-delpar.png
	16-actions-delword.png
	16-actions-description.png
	16-actions-dot.png
	16-actions-enskip.png
	16-actions-enumerate.png
	16-actions-eqnarray.png
	16-actions-equation.png
	16-actions-figure-env.png
	16-actions-file.png
	16-actions-flalign.png
	16-actions-gather.png
	16-actions-gotobeginenv.png
	16-actions-gotobegingroup.png
	16-actions-gotoendenv.png
	16-actions-gotoendgroup.png
	16-actions-graphics.png
	16-actions-grave.png
	16-actions-hat.png
	16-actions-hspace.png
	16-actions-hspace-star.png
	16-actions-include-file.png
	16-actions-input-file.png
	16-actions-itemize.png
	16-actions-item.png
	16-actions-js.png
	16-actions-label.png
	16-actions-lr.png
	16-actions-masteritem.png
	16-actions-matchenv.png
	16-actions-matchgroup.png
	16-actions-math0.png
	16-actions-math10.png
	16-actions-math1.png
	16-actions-math2.png
	16-actions-math3.png
	16-actions-math4.png
	16-actions-math5.png
	16-actions-math6.png
	16-actions-math7.png
	16-actions-math8.png
	16-actions-math9.png
	16-actions-mathmode.png
	16-actions-matrix.png
	16-actions-medskip.png
	16-actions-medspace.png
	16-actions-minipage.png
	16-actions-modified.png
	16-actions-modonhd.png
	16-actions-multline.png
	16-actions-nextbullet.png
	16-actions-nextparagraph.png
	16-actions-nextsection.png
	16-actions-nroot.png
	16-actions-part.png
	16-actions-pmatrix.png
	16-actions-prevbullet.png
	16-actions-prevparagraph.png
	16-actions-prevsection.png
	16-actions-projectitem.png
	16-actions-qquad.png
	16-actions-quad.png
	16-actions-refreshstructure.png
	16-actions-relation.png
	16-actions-script-key-sequence.png
	16-actions-script-key-shortcut.png
	16-actions-scriptnew.png
	16-actions-scriptopen.png
	16-actions-section.png
	16-actions-selenv_i.png
	16-actions-selenv_o.png
	16-actions-selgroup_i.png
	16-actions-selgroup_o.png
	16-actions-selline.png
	16-actions-selmath.png
	16-actions-selpar.png
	16-actions-selword.png
	16-actions-smallfrac.png
	16-actions-smallskip.png
	16-actions-smartnewline.png
	16-actions-sqrt.png
	16-actions-structure.png
	16-actions-subsection.png
	16-actions-subsubsection.png
	16-actions-table-env.png
	16-actions-texlion.png
	16-actions-thinspace.png
	16-actions-tilde.png
	16-actions-vec.png
	16-actions-verbatim.png
	16-actions-verb.png
	16-actions-viewdvi.png
	16-actions-viewhtml.png
	16-actions-viewpdf.png
	16-actions-viewps.png
	16-actions-vmatrix.png
	16-actions-vspace.png
	16-actions-vspace-star.png
	16-actions-VVmatrix.png
	22-actions-align.png
	22-actions-array.png
	22-actions-BBmatrix.png
	22-actions-bboxnext.png
	22-actions-bboxprev.png
	22-actions-bigskip.png
	22-actions-bigspace.png
	22-actions-binom.png
	22-actions-bmatrix.png
	22-actions-cases.png
	22-actions-cline.png
	22-actions-complete1.png
	22-actions-complete2.png
	22-actions-complete3.png
	22-actions-configure_kile.png
	22-actions-configure_project.png
	22-actions-contents.png
	22-actions-convert.png
	22-actions-description.png
	22-actions-dfrac.png
	22-actions-displaymathmode.png
	22-actions-emph.png
	22-actions-enskip.png
	22-actions-enumerate.png
	22-actions-eqnarray.png
	22-actions-equation.png
	22-actions-errornext.png
	22-actions-errorprev.png
	22-actions-figure-env.png
	22-actions-filegrep.png
	22-actions-flalign.png
	22-actions-gather.png
	22-actions-graphics.png
	22-actions-help-latex.png
	22-actions-hline.png
	22-actions-hspace.png
	22-actions-hspace-star.png
	22-actions-include-file.png
	22-actions-input-file.png
	22-actions-itemize.png
	22-actions-item.png
	22-actions-jspage.png
	22-actions-js.png
	22-actions-label.png
	22-actions-latex-config.png
	22-actions-lr.png
	22-actions-master.png
	22-actions-matrix.png
	22-actions-medskip.png
	22-actions-medspace.png
	22-actions-minipage.png
	22-actions-multicolumn.png
	22-actions-multline.png
	22-actions-newline.png
	22-actions-nroot.png
	22-actions-output_win.png
	22-actions-pmatrix.png
	22-actions-preview_env.png
	22-actions-preview_math.png
	22-actions-preview_sel.png
	22-actions-preview_subdoc.png
	22-actions-project_add.png
	22-actions-project_archive.png
	22-actions-projectgrep.png
	22-actions-project_rebuild.png
	22-actions-project_remove.png
	22-actions-project_show.png
	22-actions-qquad.png
	22-actions-quad.png
	22-actions-quick.png
	22-actions-quickwizard.png
	22-actions-refreshstructure.png
	22-actions-scriptnew.png
	22-actions-scriptopen.png
	22-actions-slanted.png
	22-actions-smallskip.png
	22-actions-smartnewline.png
	22-actions-sqrt.png
	22-actions-strong.png
	22-actions-tabbing.png
	22-actions-table-env.png
	22-actions-tabular.png
	22-actions-tabular-star.png
	22-actions-texlion.png
	22-actions-thinspace.png
	22-actions-typewriter.png
	22-actions-usermenu-clear.png
	22-actions-usermenu-delete.png
	22-actions-usermenu-down.png
	22-actions-usermenu-insert-above.png
	22-actions-usermenu-insert-below.png
	22-actions-usermenu-install.png
	22-actions-usermenu-into-submenu.png
	22-actions-usermenu-separator-above.png
	22-actions-usermenu-separator-below.png
	22-actions-usermenu-submenu-above.png
	22-actions-usermenu-submenu-below.png
	22-actions-usermenu-up.png
	22-actions-verbatim.png
	22-actions-verb.png
	22-actions-viewdvi.png
	22-actions-viewhtml.png
	22-actions-viewlog.png
	22-actions-viewpdf.png
	22-actions-viewps.png
	22-actions-vline.png
	22-actions-vmatrix.png
	22-actions-vspace.png
	22-actions-vspace-star.png
	22-actions-VVmatrix.png
	22-actions-warnnext.png
	22-actions-warnprev.png
	22-actions-watchfile.png
	22-actions-wizard_array.png
	22-actions-wizard_float.png
	22-actions-wizard_math.png
	22-actions-wizard_pdftools.png
	22-actions-wizard_pstools.png
	22-actions-wizard_tabbing.png
	22-actions-wizard_tabular.png
	22-actions-wizard_usermenu.png
	32-actions-bibtex.png
	32-actions-dblatex.png
	32-actions-dvipdf.png
	32-actions-dvipng.png
	32-actions-dvips.png
	32-actions-dvisearch.png
	32-actions-environment.png
	32-actions-joincells.png
	32-actions-js.png
	32-actions-l2h.png
	32-actions-latex.png
	32-actions-lilypond.png
	32-actions-makeidx.png
	32-actions-mpost.png
	32-actions-nroot.png
	32-actions-pdflatex.png
	32-actions-pdftex.png
	32-actions-ps2pdf.png
	32-actions-scriptnew.png
	32-actions-scriptopen.png
	32-actions-splitcells.png
	32-actions-sqrt.png
	32-actions-texcompiler.png
	32-actions-viewbib.png
	32-actions-viewdvi.png
	32-actions-viewhtml.png
	32-actions-viewpdf.png
	32-actions-viewps.png
	48-actions-graphicspage.png
	48-actions-nroot.png
	48-actions-sqrt.png
	64-actions-nroot.png
	64-actions-preview.png
	64-actions-sqrt.png
)

ecm_install_icons(
	ICONS ${kile_action_ICONS}
	DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/icons
)

=== src/data/symbols-ng/cyrillic/CMakeLists.txt ===
file(GLOB symbols *.png)
set(symbolType "cyrillic")
install(FILES ${symbols} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/mathsymbols/${symbolType})

=== src/data/symbols-ng/delimiters/CMakeLists.txt ===
file(GLOB symbols *.png)
set(symbolType "delimiters")
install(FILES ${symbols} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/mathsymbols/${symbolType})

=== debian/changelog ===
kile (4:2.9.91-4) unstable; urgency=medium

  * Team upload.
  * Add the kinit dependency, needed to launch KIO slaves. (Closes: #886832)
  * Backport upstream commit 6790d4a47297ffe5e4cb7928d5d64f66a678c548 to avoid
    crashing when the Okular component is not installed; patch
    upstream_Do-not-crash-when-the-viewer-part-is-not-available.patch.
    (Closes: #887088, #887836)
  * Remove TODO.Debian, obsolete for a long time.
  * Recommend okular, as it is used for the live preview.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 15:36:57 +0100

kile (4:2.9.91-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Pino Toscano ]
  * Bump Standards-Version to 4.1.3, no changes required.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879345)

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2018 12:37:03 +0100

kile (4:2.9.91-2) experimental; urgency=medium

  * Team upload.
  * Add missing epoch in the version of the okular-dev build dependency.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Dec 2017 14:25:37 +0100

kile (4:2.9.91-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release:
    - switches to Qt5/KF5 (Closes: #874966)
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev
    - add qtbase5-dev, libkf5config-dev, libkf5coreaddons-dev, libkf5crash-dev,
      libkf5dbusaddons-dev, libkf5doctools-dev, libkf5i18n-dev,
      libkf5iconthemes-dev, kinit-dev, libkf5khtml-dev, libkf5kio-dev,
      libkf5parts-dev, libkf5texteditor-dev, libkf5windowsystem-dev, and
      libkf5xmlgui-dev
  * Add new build dependencies: libpoppler-qt5-dev, okular-dev, and pkg-config.
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Update the patches:
    - fix_doc_target.patch: drop, obsolete
    - 01_install_doc.diff: drop, obsolete
    - 02_tex_doc_location.diff: refresh
    - kubuntu_01_improved_viewpart_warning.diff: drop, obsolete
  * Update install files
    - there are no translations in this version, so kile-l10n is temporarily
      empty
  * Update the runtime dependencies:
    - konsole4-kpart -> konsole-kpart
  * Stop removing or changing in dh_auto_install files/directories that do not
    exist anymore.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Dec 2017 13:05:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,40 @@
 Section: tex
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Mark Purcell <msp@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Uploaders: Mark Purcell <msp@debian.org>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Build-Depends: cmake,
                debhelper (>= 9),
-               kdelibs5-dev (>= 4:4.4.4),
-               pkg-kde-tools (>= 0.9.0),
+               extra-cmake-modules (>= 5.19.0~),
+               kinit-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5khtml-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5parts-dev (>= 5.31.0~),
+               libkf5texteditor-dev (>= 5.31.0~),
+               libkf5windowsystem-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
+               libpoppler-qt5-dev,
+               okular-dev (>= 4:17.08~),
+               pkg-config,
+               pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev (>= 5.3~),
                shared-mime-info
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://kile.sourceforge.net
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/kile.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kile.git
 
 Package: kile
 Architecture: any
-Depends: konsole4-kpart, texlive-latex-base, ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
-Recommends: dvipng, ghostscript, imagemagick, psutils, texlive
+Depends: kinit, konsole-kpart, texlive-latex-base, ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
+Recommends: dvipng, ghostscript, imagemagick, okular, psutils, texlive
 Suggests: aspell | ispell | hspell,
           asymptote,
           context,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# do NOT run optipng on the icons, this removes the metadata in the latex
# symbol icons which kile depends on for the symbol table. LP: #772631
export NO_PNG_PKG_MANGLE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kf5

override_dh_auto_install:
	dh_auto_install

	# Fix lintian warning: script-not-executable
	find debian/tmp -type f -name '*.pl' | xargs chmod +x

override_dh_auto_test:

=== debian/watch ===
version=3
http://sf.net/kile/kile-([\d\.]+[\d])\.tar\.bz2 debian svn-upgrade
